org.apache.commons.ssl

## Class Java13TrustManagerWrapper

- java.lang.Object
- - org.apache.commons.ssl.Java13TrustManagerWrapper

All Implemented Interfaces:
  com.sun.net.ssl.TrustManager, com.sun.net.ssl.X509TrustManager

    public class Java13TrustManagerWrapper
    extends java.lang.Object
    implements com.sun.net.ssl.X509TrustManager

Since:
  30-Jun-2006
Author:
  Credit Union Central of British Columbia, www.cucbc.com, juliusdavies@cucbc.com

### Field Summary

Fields
`private SSL` `ssl`
`private TrustChain` `trustChain`
`private com.sun.net.ssl.X509TrustManager` `trustManager`

### Constructor Summary

Constructors
Constructor and Description
`Java13TrustManagerWrapper(com.sun.net.ssl.X509TrustManager m, TrustChain tc, SSL h)`

### Method Summary

Methods
`java.security.cert.X509Certificate[]` `getAcceptedIssuers()`
`boolean` `isClientTrusted(java.security.cert.X509Certificate[] chain)`
`boolean` `isServerTrusted(java.security.cert.X509Certificate[] chain)`
`private boolean` `test(boolean firstTest, java.security.cert.X509Certificate[] chain)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### trustManager

    private final com.sun.net.ssl.X509TrustManager trustManager

#### trustChain

    private final TrustChain trustChain

#### ssl

    private final SSL ssl

### Constructor Detail

#### Java13TrustManagerWrapper

    public Java13TrustManagerWrapper(com.sun.net.ssl.X509TrustManager m,
                             TrustChain tc,
                             SSL h)

### Method Detail

#### isClientTrusted

    public boolean isClientTrusted(java.security.cert.X509Certificate[] chain)

Specified by:
  `isClientTrusted` in interface `com.sun.net.ssl.X509TrustManager`

#### isServerTrusted

    public boolean isServerTrusted(java.security.cert.X509Certificate[] chain)

Specified by:
  `isServerTrusted` in interface `com.sun.net.ssl.X509TrustManager`

#### getAcceptedIssuers

    public java.security.cert.X509Certificate[] getAcceptedIssuers()

Specified by:
  `getAcceptedIssuers` in interface `com.sun.net.ssl.X509TrustManager`

#### test

    private boolean test(boolean firstTest,
               java.security.cert.X509Certificate[] chain)